Perchè esiste una mancanza di Backports di Pacchetti opzionali 10.10 o successivi in ​​repository?

4

Questa domanda riguarda nuovamente i backport, ma è specifica per la differenza di disponibilità dei pacchetti.

Un esempio specifico di questo sarebbe i due pacchetti gcc nei repository di 10.10: gcc (che è 4.4) e gcc-4.5 (che è gcc 4.5).

Mentre questa modifica è nei repository di 10.10, tali pacchetti opzionali non sono inclusi nei repository LTS 10.04 e l'opzione per avere un compilatore gcc-4.5 in 10.04 potrebbe aiutare diverse persone (come me, che ha bisogno del 4.5 compilatore per l'Università, e non posso eseguire l'aggiornamento a 10.10 perché non funziona correttamente sul mio sistema).

C'è una ragione per la mancanza di tali pacchetti opzionali nei repository 10.04?

    
posta Thomas Ward 12.03.2011 - 04:47

1 risposta

2

Quindi, la risposta breve in realtà non è affatto breve. Dal punto di vista del kernel, non ci dovrebbero essere molti problemi con gcc-4.5 su una macchina che è stata compilata con gcc-4.4. L'eccezione a tale regola sarebbe se hai bisogno di fare compilazioni DKMS come il compilatore deve essere lo stesso.

Se non hai bisogno di compilare dkms, potrebbe essere possibile utilizzare 4.5 sulla tua macchina, ma se dovessi farlo da solo, proverei a eseguire una VM con 10.10 per ottenere il vantaggio di quel compilatore, ma questo è senza sapere se è possibile eseguire la virtualizzazione sulla macchina corrente.

Modifica: dopo aver parlato con il team di Foundations, è una mancanza di tempo e risorse che impediscono il verificarsi dei backport.

    
risposta data Jeremy Foshee 14.03.2011 - 18:34

Leggi altre domande sui tag